# Interface IPopulateOmniboxObject

## Index

### Methods

- clear
- clearCurrentExpression
- closeOmnibox
- insertAt
- replace
- replaceCurrentExpression

### Properties

- allQueryExpressions
- completeQueryExpression
- currentQueryExpression
- cursorPosition

## Methods

### clear

- clear(): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :24

  #### Returns void

### clearCurrentExpression

- clearCurrentExpression(): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :28

  #### Returns void

### closeOmnibox

- closeOmnibox(): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :49

  #### Returns void

### insertAt

- insertAt(at: number, toInsert: string): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :45

  #### Parameters

  - ##### at: number

  - ##### toInsert: string

  #### Returns void

### replace

- replace(searchValue: string, newValue: string): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :34

  #### Parameters

  - ##### searchValue: string

  - ##### newValue: string

  #### Returns void

### replaceCurrentExpression

- replaceCurrentExpression(newValue: string): void

- - Defined in ui/Omnibox/OmniboxInterface.ts :39

  #### Parameters

  - ##### newValue: string

  #### Returns void

## Properties

### allQueryExpressions

allQueryExpressions: IPopulateOmniboxQueryExpression[]

- Defined in ui/Omnibox/OmniboxInterface.ts :16

### completeQueryExpression

completeQueryExpression: IPopulateOmniboxQueryExpression

- Defined in ui/Omnibox/OmniboxInterface.ts :8

### currentQueryExpression

currentQueryExpression: IPopulateOmniboxQueryExpression

- Defined in ui/Omnibox/OmniboxInterface.ts :12

### cursorPosition

cursorPosition: number

- Defined in ui/Omnibox/OmniboxInterface.ts :20

### Hierarchy

- IPopulateOmniboxObject